package ij.process;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2011</p>
 *
 * <p>Company: </p>
 *
 * @author not attributable
 * @version 1.0
 */
public interface ProcessorConstance {
    /** Value of pixels included in masks. */
    public static final int BLACK = 0xFF000000;

    /** Value returned by getMinThreshold() when thresholding is not enabled. */
    public static final double NO_THRESHOLD = -808080.0;

    /** Left justify text. */
    public static final int LEFT_JUSTIFY = 0;
    /** Center justify text. */
    public static final int CENTER_JUSTIFY = 1;
    /** Right justify text. */
    public static final int RIGHT_JUSTIFY = 2;

    /** Isodata thresholding method */
    public static final int ISODATA = 0;

    /** Modified isodata method used in Image/Adjust/Threshold tool */
    public static final int ISODATA2 = 1;

    /** Interpolation methods */
    public static final int NEAREST_NEIGHBOR=0, NONE=0, BILINEAR=1, BICUBIC=2;

    public static final int BLUR_MORE=0, FIND_EDGES=1, MEDIAN_FILTER=2, MIN=3, MAX=4, CONVOLVE=5;
    static public final int RED_LUT=0, BLACK_AND_WHITE_LUT=1, NO_LUT_UPDATE=2, OVER_UNDER_LUT=3;
    static final int INVERT=0, FILL=1, ADD=2, MULT=3, AND=4, OR=5,
            XOR=6, GAMMA=7, LOG=8, MINIMUM=9, MAXIMUM=10, SQR=11, SQRT=12, EXP=13, ABS=14;
    static final String WRONG_LENGTH = "width*height!=pixels.length";

}
